package oracle.support.eclipselink;

import java.sql.SQLSyntaxErrorException;

import org.eclipse.persistence.exceptions.DatabaseException;
import org.eclipse.persistence.exceptions.ExceptionHandler;


public class ProxyAuthExceptionHandler implements ExceptionHandler {

	@Override
	public Object handleException(RuntimeException exception) {
		if (exception instanceof DatabaseException
				&& exception.getCause() instanceof SQLSyntaxErrorException
				&& ((SQLSyntaxErrorException) exception.getCause())
						.getErrorCode() == 1031) {
			System.out.println("Insufficient privileges");
			throw new RuntimeException("Insufficient Privileges");
		}
		throw exception;
	}

}
